Open CASCADE Technology: StepBasic_ExternalIdentificationAssignment Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepBasic_ExternalIdentificationAssignment Class Reference

Representation of STEP entity ExternalIdentificationAssignment. More...

`#include <StepBasic_ExternalIdentificationAssignment.hxx>`

Inheritance diagram for StepBasic_ExternalIdentificationAssignment:
[legend]

## Public Member Functions
| StepBasic_ExternalIdentificationAssignment ()
| Empty constructor. More...
void | Init (const Handle< TCollection_HAsciiString > &aIdentificationAssignment_AssignedId, const Handle< StepBasic_IdentificationRole > &aIdentificationAssignment_Role, const Handle< StepBasic_ExternalSource > &aSource)
| Initialize all fields (own and inherited) More...
Handle< StepBasic_ExternalSource > | Source () const
| Returns field Source. More...
void | SetSource (const Handle< StepBasic_ExternalSource > &Source)
| Set field Source. More...
Public Member Functions inherited from StepBasic_IdentificationAssignment
| StepBasic_IdentificationAssignment ()
| Empty constructor. More...
void | Init (const Handle< TCollection_HAsciiString > &aAssignedId, const Handle< StepBasic_IdentificationRole > &aRole)
| Initialize all fields (own and inherited) More...
Handle< TCollection_HAsciiString > | AssignedId () const
| Returns field AssignedId. More...
void | SetAssignedId (const Handle< TCollection_HAsciiString > &AssignedId)
| Set field AssignedId. More...
Handle< StepBasic_IdentificationRole > | Role () const
| Returns field Role. More...
void | SetRole (const Handle< StepBasic_IdentificationRole > &Role)
| Set field Role. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Representation of STEP entity ExternalIdentificationAssignment.

## Constructor & Destructor Documentation

StepBasic_ExternalIdentificationAssignment::StepBasic_ExternalIdentificationAssignment | ( |  | ) |

Empty constructor.

## Member Function Documentation

void StepBasic_ExternalIdentificationAssignment::Init | ( | const Handle< TCollection_HAsciiString > & | aIdentificationAssignment_AssignedId,
|  | const Handle< StepBasic_IdentificationRole > & | aIdentificationAssignment_Role,
|  | const Handle< StepBasic_ExternalSource > & | aSource
| ) |  |

Initialize all fields (own and inherited)

void StepBasic_ExternalIdentificationAssignment::SetSource | ( | const Handle< StepBasic_ExternalSource > & | Source | ) |

Set field Source.

Handle< StepBasic_ExternalSource > StepBasic_ExternalIdentificationAssignment::Source | ( |  | ) | const

Returns field Source.

The documentation for this class was generated from the following file:

- StepBasic_ExternalIdentificationAssignment.hxx